package tests;

import ejbs.SessionRemoteForEntity;
import entities.EntityUsingSequence;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestEntityUsingSequence {
    
    private SessionRemoteForEntity remoteObj;
    private EntityManagerFactory emf;
    
    public TestEntityUsingSequence() {
    }
    
    public void test() {
        try {
            emf = Persistence.createEntityManagerFactory("entity-using-sequence");
            
            persistEntity();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    private void persistEntity() {
        EntityUsingSequence entity = new EntityUsingSequence();
        entity.setName("Apples");
       
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        em.persist(entity);
        em.getTransaction().commit();
    }
    
}
